com.brightcove.player.display

## Interface ExoPlayerVideoDisplayComponent.InternalErrorListener

- Enclosing class:
    ExoPlayerVideoDisplayComponent

      public static interface ExoPlayerVideoDisplayComponent.InternalErrorListener

  Listeners for receiving error information.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAudioTrackUnderrun(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime eventTime, int bufferSize, long bufferSizeMs, long elapsedSinceLastFeedMs)` Called when an audio underrun occurred.
    `void` | `onAudioTrackUnderrun(int bufferSize, long bufferSizeMs, long elapsedSinceLastFeedMs)` Deprecated. Use {`onAudioTrackUnderrun(AnalyticsListener.EventTime, int, long, long)`}
    `void` | `onDrmSessionManagerError(java.lang.Exception e)` Called when a DRM error occurs.
    `void` | `onLoadError(int trackType, java.io.IOException e)` Called when a load error occurs.
    `void` | `onPlayerError(java.lang.Exception e)` Called when an error occurs on the `Player`.

- - ### Method Detail

    - #### onPlayerError

          void onPlayerError(java.lang.Exception e)

      Called when an error occurs on the `Player`. The Player instance can still be used and `Player.release()` must still be called.
      Parameters:
        `e` - The error.

    - #### onAudioTrackUnderrun

          void onAudioTrackUnderrun(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime eventTime,
                                    int bufferSize,
                                    long bufferSizeMs,
                                    long elapsedSinceLastFeedMs)

      Called when an audio underrun occurred.
      Parameters:
        `eventTime` - Contains details of the event.
        `bufferSize` - The size of the `AudioSink`'s buffer, in bytes.
        `bufferSizeMs` - The size of the `AudioSink`'s buffer, in milliseconds, if it is configured for PCM output. `C.TIME_UNSET` if it is configured for passthrough output, as the buffered media can have a variable bitrate so the duration may be unknown.
        `elapsedSinceLastFeedMs` - The time since the `AudioSink` was last fed data.

    - #### onAudioTrackUnderrun

          @Deprecated
          void onAudioTrackUnderrun(int bufferSize,
                                                long bufferSizeMs,
                                                long elapsedSinceLastFeedMs)

      Deprecated. Use {`onAudioTrackUnderrun(AnalyticsListener.EventTime, int, long, long)`}

    - #### onLoadError

          void onLoadError(int trackType,
                           java.io.IOException e)

      Called when a load error occurs.
      Parameters:
        `trackType` - One of the `C` `TRACK_TYPE_*` constants.
        `e` - the error.

    - #### onDrmSessionManagerError

          void onDrmSessionManagerError(java.lang.Exception e)

      Called when a DRM error occurs.
      Parameters:
        `e` - the error.